#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const yargs_1 = __importDefault(require("yargs"));
const _1 = __importDefault(require("./"));
const args = yargs_1.default
    .scriptName("jolicitron")
    .option("input", {
    describe: "Path to the input file",
    type: "string",
})
    .option("output", {
    describe: "Path to the output file",
    type: "string",
})
    .option("schema", {
    describe: "Path to the schema file",
    type: "string",
})
    .demandOption(["input", "output", "schema"])
    .help().argv;
const input = fs_1.default.readFileSync(args.input).toString();
const schema = JSON.parse(fs_1.default.readFileSync(args.schema).toString());
const output = _1.default(schema, input);
fs_1.default.writeFileSync(args.output, JSON.stringify(output, null, 2));
//# sourceMappingURL=cli.js.map