"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = void 0;
const parse_1 = require("./parse");
exports.compile = (schema) => {
    switch (schema.type) {
        case "object":
            return compileObjectSchema(schema);
        case "array":
            return compileArraySchema(schema);
        case "number":
            return parse_1.parseNumber;
        case "string":
            return parse_1.parseString;
    }
};
const compileObjectSchema = ({ properties, }) => {
    const parsers = properties.map(({ name, value }) => {
        return { name, value: exports.compile(value) };
    });
    return parse_1.makeObjectParser(parsers);
};
const compileArraySchema = ({ length, items, }) => {
    return parse_1.makeArrayParser(length, exports.compile(items));
};
//# sourceMappingURL=compile.js.map