"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const compile_1 = require("./compile");
const normalize_1 = require("./normalize");
const tokenize_1 = require("./tokenize");
const typecheck_1 = require("./typecheck");
exports.default = (schema, input) => {
    const validSchema = typecheck_1.typecheckSchema(schema);
    const normalSchema = normalize_1.normalize(validSchema);
    const parser = compile_1.compile(normalSchema);
    const tokens = tokenize_1.tokenize(input);
    const result = parser(tokens, new Map());
    return result;
};
//# sourceMappingURL=jolicitron.js.map