import { NormalSchema } from "./compile";
export declare const normalize: (schema: Schema) => NormalSchema;
export declare type Schema = ObjectSchema | ArraySchema | NumberSchema | StringSchema;
export declare type ObjectSchema = ExplicitObjectSchema | ImplicitObjectSchema;
export declare type ExplicitObjectSchema = {
    type: "object";
    properties: PropertySchema[];
};
export declare type ImplicitObjectSchema = PropertySchema[];
export declare type PropertySchema = ExplicitPropertySchema | NumberPropertySchema | ArrayPropertySchema;
export declare type ExplicitPropertySchema = {
    name: string;
    value: Schema;
};
export declare type NumberPropertySchema = string;
export declare type ArrayPropertySchema = ArrayOfNumberPropertySchema | ExplicitArrayPropertySchema;
export declare type ArrayOfNumberPropertySchema = [string, string];
export declare type ExplicitArrayPropertySchema = [string, string, Schema];
export declare type ArraySchema = {
    length: string;
    type?: "number" | "string" | "array";
    items?: Schema;
};
export declare type NumberSchema = ExplicitNumberSchema | ShortNumberSchema;
export declare type ExplicitNumberSchema = {
    type: "number";
};
export declare type ShortNumberSchema = "number";
export declare type StringSchema = ExplicitStringSchema | ShortStringSchema;
export declare type ExplicitStringSchema = {
    type: "string";
};
export declare type ShortStringSchema = "string";
//# sourceMappingURL=normalize.d.ts.map