"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildErrorMessage = exports.error = void 0;
const stack_1 = require("./stack");
/**
 * This only exists so that `throw error(...)` is type-checked.
 */
function error(error) {
    return error;
}
exports.error = error;
function buildErrorMessage({ expected, actual, path }, schema) {
    const stringifiedStack = stack_1.stackToLines(stack_1.buildStack(schema, path));
    const stringifiedExpected = expected.join(" or ");
    const stringifiedActual = JSON.stringify(actual, null, 2);
    return [
        `expected ${stringifiedExpected} but found '${stringifiedActual}'`,
        ...stringifiedStack,
    ].join("\n");
}
exports.buildErrorMessage = buildErrorMessage;
//# sourceMappingURL=error.js.map