"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pathToString = exports.getWithin = exports.push = void 0;
function push(path, pathSegment) {
    return [...path, pathSegment];
}
exports.push = push;
function getWithin(path, root) {
    return path.reduce((node, prop) => {
        return node[prop];
    }, root);
}
exports.getWithin = getWithin;
function pathToString(path) {
    const stringSegments = path.map((segment) => {
        const asNumber = Number(segment);
        if (typeof segment === "number") {
            return `[${segment}]`;
        }
        else if (Number.isInteger(asNumber)) {
            return `[${segment}]`;
        }
        else if (segment.match(/^\w+$/)) {
            return `.${segment}`;
        }
        else {
            return `["${segment}"]`;
        }
    });
    return ["$", ...stringSegments].join("");
}
exports.pathToString = pathToString;
//# sourceMappingURL=path.js.map