"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stackToLines = exports.buildStack = void 0;
const path_1 = require("./path");
function buildStack(schema, path) {
    return Array.from({ length: path.length }, (_, index) => {
        const pathWithinValue = path.slice(-index - 1);
        const pathToValue = path.slice(0, -index - 1);
        return { path: pathWithinValue, value: path_1.getWithin(pathToValue, schema) };
    });
}
exports.buildStack = buildStack;
function stackToLines(stack) {
    return stack.map(({ path, value }) => `at ${path_1.pathToString(path)} in '${JSON.stringify(value, null, 2)}'`);
}
exports.stackToLines = stackToLines;
//# sourceMappingURL=stack.js.map