import { NormalSchema } from "../compile";
/**
 * NOTE: might seem redundant but actually useful because
 * Array.isArray casts to any[] while this casts to unknown[]
 * which is safer.
 */
export declare function isArray(value: unknown): value is unknown[];
export declare function isRecord(value: unknown): value is object;
export declare function hasProperty<Key extends string>(value: object, key: Key): value is {
    [K in Key]: unknown;
};
export declare function hasTypeProperty<TypeValue extends NormalSchema["type"]>(value: object, type: TypeValue): value is {
    type: TypeValue;
};
//# sourceMappingURL=guards.d.ts.map