"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasTypeProperty = exports.hasProperty = exports.isRecord = exports.isArray = void 0;
/**
 * NOTE: might seem redundant but actually useful because
 * Array.isArray casts to any[] while this casts to unknown[]
 * which is safer.
 */
function isArray(value) {
    return Array.isArray(value);
}
exports.isArray = isArray;
function isRecord(value) {
    return typeof value === "object" && value !== null && !isArray(value);
}
exports.isRecord = isRecord;
function hasProperty(value, key) {
    return key in value;
}
exports.hasProperty = hasProperty;
function hasTypeProperty(value, type) {
    return hasProperty(value, "type") && value.type === type;
}
exports.hasTypeProperty = hasTypeProperty;
//# sourceMappingURL=guards.js.map